Subject: Re: bug#59622: 29.0.50; [PATCH] Regression in Eshell's handling of escaped newlines

From: Eli Zaretskii <[email-masked]>
Date: Wed, 07 Dec 2022 20:10:05 +0200

> Date: Wed, 7 Dec 2022 09:57:59 -0800
> Cc: [email-masked]
> From: Jim Porter <[email-masked]>
> 
> On 12/7/2022 5:34 AM, Eli Zaretskii wrote:
> >> Date: Tue, 6 Dec 2022 20:18:30 -0800
> >> Cc: [email-masked]
> >> From: Jim Porter <[email-masked]>
> >>
> >> I also split the patch in two: the first patch for the 29 branch (which
> >> makes the least code changes I could manage), and the second as an
> >> additional small cleanup patch for master only.
> > 
> > Since which Emacs version do we have this regression?  If it's a very
> > old regression, I'd prefer not to fix it on the emacs-29 branch.
> 
> This worked properly in Emacs 28 and is broken in 29. I'm not 100% sure 
> which patch regressed it, but my guess is patch 0003 in bug#54227, which 
> was merged in March.

Then we must fix the regression on the emacs-29 branch.

Thanks.